## org.eclipse.m2m.atl.engine.vm.nativelib
Class AMN

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.AMN

    public class AMN

extends java.lang.Object

ASMModel Navigator helpers.

Constructor Summary
`AMN()`

Method Summary
`static boolean` `c2(ASMModelElement type, java.lang.String otherName)`
`static ASMOclAny` `get(ASMModelElement ame, java.lang.String propName)`
`static boolean` `getBool(ASMModelElement ame, java.lang.String propName)`
`static boolean` `getBoolUndefinedIsFalse(ASMModelElement ame, java.lang.String propName)`
`static java.util.Iterator` `getCol(ASMModelElement ame, java.lang.String propName)`
`static int` `getInt(ASMModelElement ame, java.lang.String propName)`
`static ASMModelElement` `getME(ASMModelElement ame, java.lang.String propName)`
`static java.lang.String` `getName(ASMModelElement ame)`
`static java.lang.String` `getString(ASMModelElement ame, java.lang.String propName)`
`static java.lang.String` `getTypeName(ASMModelElement ame)`
`static boolean` `isa(ASMModelElement element, java.lang.String otherName)`
`static ASMModelElement` `nextME(java.util.Iterator i)`
`static java.lang.String` `nextString(java.util.Iterator i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AMN

    public AMN()

Method Detail

### getTypeName

    public static java.lang.String getTypeName(ASMModelElement ame)

### getName

    public static java.lang.String getName(ASMModelElement ame)

### getString

    public static java.lang.String getString(ASMModelElement ame,
                                             java.lang.String propName)

### getInt

    public static int getInt(ASMModelElement ame,
                             java.lang.String propName)

### getBool

    public static boolean getBool(ASMModelElement ame,
                                  java.lang.String propName)

### getBoolUndefinedIsFalse

    public static boolean getBoolUndefinedIsFalse(ASMModelElement ame,
                                                  java.lang.String propName)

### getME

    public static ASMModelElement getME(ASMModelElement ame,
                                        java.lang.String propName)

### get

    public static ASMOclAny get(ASMModelElement ame,
                                java.lang.String propName)

### getCol

    public static java.util.Iterator getCol(ASMModelElement ame,
                                            java.lang.String propName)

### nextME

    public static ASMModelElement nextME(java.util.Iterator i)

### nextString

    public static java.lang.String nextString(java.util.Iterator i)

### isa

    public static boolean isa(ASMModelElement element,
                              java.lang.String otherName)

### c2

    public static boolean c2(ASMModelElement type,
                             java.lang.String otherName)

Copyright 2007 IBM Corporation and others. All Rights Reserved.